geos::operation::overlayng::PrecisionUtil::InherentScaleFilter Class Reference

`#include <PrecisionUtil.h>`

Inheritance diagram for geos::operation::overlayng::PrecisionUtil::InherentScaleFilter:

## Public Member Functions

void | filter_ro (const geom::Coordinate *coord) override
double | getScale () const
Public Member Functions inherited from geos::geom::CoordinateFilter
virtual bool | isDone () const
virtual void | filter_rw (CoordinateXY *) const
| Performs an operation on coord.
virtual void | filter_ro (const CoordinateXY *)
| Performs an operation with coord.
virtual void | filter_rw (Coordinate *c) const
virtual void | filter_rw (CoordinateXYM *c) const
virtual void | filter_ro (const CoordinateXYM *c)
virtual void | filter_rw (CoordinateXYZM *c) const
virtual void | filter_ro (const CoordinateXYZM *c)

## Detailed Description

Applies the inherent scale calculation to every ordinate in a geometry.

## Member Function Documentation

## filter_ro()

void geos::operation::overlayng::PrecisionUtil::InherentScaleFilter::filter_ro | ( | const geom::Coordinate * | coord | ) |

inline override virtual

Reimplemented from geos::geom::CoordinateFilter.

The documentation for this class was generated from the following file:

- PrecisionUtil.h